#
# spec file for package scsh (Version 0.5.2	)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         scsh
Copyright:    BSD-like open-source
Group:        System Environment/Shells
Autoreqprov:  on
Version:      0.5.2	
Release:      103
Summary:      The Scheme Shell
Source:	      ftp://ftp-swiss.ai.mit.edu/pub/su/scsh/scsh-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-root
URL:	      http://www.swiss.ai.mit.edu/ftpdir/scsh/
Conflicts:    scez

%description
Scsh is a broad-spectrum systems-programming environment for Unix
embedded in R4RS Scheme.
Scsh has a high-level process notation for doing shell-script like
tasks: running programs, establishing pipelines and I/O
redirection. For example, the shell pipeline
gunzip < paper.tex.gz | detex | spell | lpr -Ppulp &
would be written in scsh as
(& (| (gunzip) (detex) (spell) (lpr -Ppulp))	; Background a pipeline
(< paper.tex.gz))				; with this redirection
Scsh embeds this process notation within a full Scheme implementation.
The process notation is realized as a set of macro definitions, and is
carefully designed to allow full integration with standard Scheme code.
Scsh isn't Scheme-like; it is Scheme.

Authors:
--------
    Olin Shivers <scsh@zurich.ai.mit.edu>
    Brian Carlstrom <scsh@zurich.ai.mit.edu>
    Martin Gasbichler <scsh@zurich.ai.mit.edu>

SuSE series: ap


%description -l zh

%prep
%setup scsh

%build
%{?suse_update_config:%{suse_update_config -f}}
./configure --prefix=/usr \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
            %{_target_cpu}-suse-linux-gnu
make

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot};
fi
%define scshdocdir %{buildroot}%{_defaultdocdir}/scsh
mkdir -p %{scshdocdir}
make prefix=%{buildroot}/usr install
install -m 644 COPYING INSTALL Changes NEWS* README* RELEASE TODO* %{scshdocdir}
(cd %{scshdocdir}; ln -s /usr/lib/scsh/doc . )

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/scsh
%doc %{_defaultdocdir}/scsh
/usr/lib/scsh

%changelog -n scsh
* Tue May 15 2001 - mfabian@suse.de
- add "Conflicts: scez"
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Wed Feb 21 2001 - phm@suse.de
- new package scsh version 0.5.2
